TEMPFILE(1)

NAME
tempfile - create a temporary file in a safe manner

SYNOPSYS
tempfile [-d DIR] [-p STRING] [-m MODE] [-n FILE] [--directory=DIR] [--prefix=STRING] [--mode=MODE] [--name=FILE] [--help] [--version]

DESCRIPTION

tempfile creates a temporary file in a safe manner. It uses tempnam(3) to choose the name and opens it with O_RDWR | O_CREAT | O_EXCL. The filename is printed on standard output.

The directory to place the file is searched for in the following order:

a)  The directory specified by the environment variable TMPDIR, if it is writable.

b)  The directory specified by the --directory argument, if given.

c)  The directory /tmp.

Debian packages using tempfile in maintainer scripts must depend on debianutils >= 1.6.

OPTIONS

-d, --directory DIR
    Place the file in DIR.

-p, --prefix STRING
    Use up to five letters of STRING to generate the name.

-m, --mode MODE
    Open the file with MODE instead of 0666.

-n, --name FILE
    Use FILE for the name instead of tempnam(3). Any -d and -p options are ignored if this option is given.

--help
    Print a usage message on standard output and exit succesfully.

--version
    Print version information on standard output and exist succesfully.

RETURN VALUES
An exit status of 0 means the temporary file was created succesfully. Any other exit status indicates an error.

BUGS
Exclusive creation is not guaranteed when creating files on NFS partitions.

SEE ALSO
tempnam(3)